<script>
    import { scale } from 'svelte/transition'
    import { backIn, backOut } from 'svelte/easing'
    import Edit from 'components/Icons/Edit.svelte'

    const transition = { duration: 250, start: 0 }
</script>

<a
    href="nouveau"
    out:scale={{ ...transition, easing: backIn }}
    in:scale={{ ...transition, easing: backOut }}>
    <Edit />
</a>

<style lang="postcss">
    a {
        @apply fixed bottom-24 right-4 p-3 bg-gradient-to-br from-teal-400 to-teal-600 text-teal-50 rounded-full shadow-md z-50;
    }
</style>
